Loading...
Searching...
No Matches
robottestingframework::ResultEventError Class Reference

The ResultEventError class keeps a test error event. More...

`#include <robottestingframework/ResultEvent.h>`

Inheritance diagram for robottestingframework::ResultEventError:
[legend]

## Public Member Functions

| ResultEventError (const Test *test, TestMessage msg)
Public Member Functions inherited from robottestingframework::ResultEvent
| ResultEvent ()
| ResultEvent constructor.
virtual | ~ResultEvent ()=default
| ~ResultEvent Destructor
| ResultEvent (const Test *test, TestMessage msg)
| ResultEvent constructor.
const Test * | getTest ()
| getTest get the test
TestMessage & | getMessage ()
| getMessage get the corresponding message

## Detailed Description

The ResultEventError class keeps a test error event.

Definition at line 102 of file ResultEvent.h.

## Constructor & Destructor Documentation

## ResultEventError()

robottestingframework::ResultEventError::ResultEventError | ( | const Test * | test,
|  | TestMessage | msg )

inline

Definition at line 105 of file ResultEvent.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/ResultEvent.h